Foxit PDF SDK

Public Member Functions | List of all members
foxit.pdf.CustomSecurityHandler Class Reference
Inheritance diagram for foxit.pdf.CustomSecurityHandler:

## Public Member Functions
| CustomSecurityHandler ()
| Constructor.
| CustomSecurityHandler (SecurityHandler other)
| Constructor, with parent class object. More...
bool | Initialize (CustomEncryptData encrypt_data, CustomSecurityCallback callback, string encrypt_info)
| Initialize current custom security handler. More...
Public Member Functions inherited from foxit.pdf.SecurityHandler
| SecurityHandler ()
| Constructor.
| SecurityHandler (SecurityHandler other)
| Constructor, with another security handler object. More...
virtual PDFDoc.EncryptType | GetSecurityType ()
| Get the encryption type of current security handler. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...

## Additional Inherited Members
Public Types inherited from foxit.pdf.SecurityHandler
enum | CipherType { CipherType.e_CipherNone = 0, CipherType.e_CipherRC4 = 1, CipherType.e_CipherAES = 2 }
| Enumeration for Encryption Algorithm. More...

## Detailed Description

This class represents a custom security handler, used for custom encryption.

See also
  SecurityHandler

## Constructor & Destructor Documentation

## ◆ CustomSecurityHandler()

foxit.pdf.CustomSecurityHandler.CustomSecurityHandler | ( | SecurityHandler | other | ) |
| inline

Constructor, with parent class object.

Parameters

  [in] | other | Parent class object.

## Member Function Documentation

## ◆ Initialize()

bool foxit.pdf.CustomSecurityHandler.Initialize | ( | CustomEncryptData | encrypt_data,
|  | CustomSecurityCallback | callback,
|  | string | encrypt_info
| ) |  |
| inline

Initialize current custom security handler.

If this function is successfully, Foxit PDF SDK will take over the input security callback object and user should not release this callback object directly anymore; otherwise unexpected crash may occurs later.
Foxit PDF SDK may release the security callback object by callback function SecurityCallback.Release , when current security handler is released and find that the callback object has not been used by other object. So, user is recommended not to use the security callback object any more, after current security handler is released.

Parameters

  [in] | encrypt_data | A custom encrypt data object.
  [in] | callback | A valid CustomSecurityCallback object, which is inherited and implemented by user for their own encryption and description algorithm. It should not be null.
  [in] | encrypt_info | The encryption information,which will be stored to document encryption dictionary. This can be an empty string. Default value: an empty string.

Returns
  true means success, while false means failure.